%define major   1
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           plib
Version:        1.8.5
%define 	subrel 1
Release:        %mkrel 13
Summary:        Set of portable game libraries
License:        LGPLv2+
Group:          System/Libraries
URL:            http://plib.sourceforge.net/
Source0:        http://plib.sourceforge.net/dist/%{name}-%{version}.tar.gz
Patch0:         plib-1.8.5-CVE-2011-4620.diff
Patch1:         plib-1.8.5-CVE-2012-4552.diff
Patch2:         plib-1.8.5-deb-build-shared-libs.patch
Patch3:         plib-1.8.5-deb-remove-pthread-link.patch
Patch4:		08_CVE-2021-38714.patch

BuildRequires:  libtool
BuildRequires:  mesa-common-devel
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(xmu)

%description
Provides a Joystick interface, a simple GUI built on top of OpenGL,
some standard geometry functions, a sound library and a simple scene
graph API built on top of OpenGL.

#----------------------------------------------------------------------

%package -n     %{libname}
Summary:        Steve's Portable Game Library
Group:          System/Libraries

%description -n %{libname}
Provides a Joystick interface, a simple GUI built on top of OpenGL,
some standard geometry functions, a sound library and a simple scene
graph API built on top of OpenGL.

%files -n       %{libname}
%{_libdir}/lib%{name}*.so.%{major}{,.*}

#----------------------------------------------------------------------

%package -n     %{devname}
Summary:        Headers for developing programs that will use %{name}
Group:          Development/C++
Requires:       %{libname} >= %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      plib-devel < 1.8.5-10

%description -n %{devname}
This package contains the development files for the %{name} library.

%files -n       %{devname}
%doc README ChangeLog AUTHORS KNOWN_BUGS
%{_includedir}/%{name}/
%{_libdir}/lib%{name}*.so

#----------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
autoreconf -vfi
%configure
%make

%install
%make_install

# We don't want the static libraries
rm -f %{buildroot}%{_libdir}/{*.a,*.la}


%changelog
* Sat Oct 09 2021 neoclust <neoclust> 1.8.5-13.1.mga8
+ Revision: 1750148
- Add P4: Fixes CVE-2021-38714 (mga#29528)

* Fri Feb 14 2020 umeabot <umeabot> 1.8.5-13.mga8
+ Revision: 1516001
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1.8.5-12.mga7
+ Revision: 1300312
- Mageia 7 Mass Rebuild

* Tue Feb 09 2016 umeabot <umeabot> 1.8.5-11.mga6
+ Revision: 951172
- Mageia 6 Mass Rebuild

* Sun Dec 14 2014 akien <akien> 1.8.5-10.mga5
+ Revision: 803136
- Build as a shared library instead of a static one (Debian patch)
- Proper libification: lib(64)plib1 and lib(64)plib-devel instead of plib-devel only
- Unlink pthread (Debian patch)

* Wed Oct 15 2014 umeabot <umeabot> 1.8.5-9.mga5
+ Revision: 744396
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.8.5-8.mga5
+ Revision: 687677
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.8.5-7.mga4
+ Revision: 517590
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.8.5-6.mga3
+ Revision: 377930
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 15 2012 luigiwalser <luigiwalser> 1.8.5-5.mga3
+ Revision: 318358
- fix CVE-2012-4552 (patch1 from fedora)

* Tue Apr 03 2012 luigiwalser <luigiwalser> 1.8.5-4.mga2
+ Revision: 228207
- BuildRequires libxmu-devel since freeglut does not require it
- fix CVE-2011-4620 (patch0 from debian)
- clean spec
- remove ancient obsoletes/provides

* Thu Feb 17 2011 dmorgan <dmorgan> 1.8.5-3.mga1
+ Revision: 52881
- imported package plib


* Fri Sep 04 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.8.5-3mdv2010.0
+ Revision: 430746
- rebuild

* Fri Aug 01 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.8.5-2mdv2009.0
+ Revision: 259099
- rebuild

* Thu Jul 31 2008 Frederik Himpe <fhimpe@mandriva.org> 1.8.5-1mdv2009.0
+ Revision: 258422
- Update to new upstream version 1.8.5

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.8.4-6mdv2009.0
+ Revision: 247022
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.8.4-4mdv2008.1
+ Revision: 140733
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Mar 14 2007 Couriousous <couriousous@mandriva.org> 1.8.4-4mdv2007.1
+ Revision: 143491
- mkrel
- Patch for gcc ( Thanks to baud123 )

  + Jérôme Soyer <saispo@mandriva.org>
    - Import plib

* Sun Oct 09 2005 Couriousous <couriousous@mandriva.org> 1.8.4-3mdk
- Compile with -fPIC

* Thu Jan 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.8.4-2mdk
- versioned provides

* Thu Jan 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.8.4-1mdk
- 1.8.4

* Thu Jun 17 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.8.3-2mdk
- rebuild

* Sun May 23 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.8.3-1mdk
- 1.8.3
- update docs

* Fri Apr 02 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.8.2-1mdk
- 1.8.2

* Fri Apr 02 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.8.0-1mdk
- 1.8.0

